std::exponential_distribution< _RealType > Class Template Reference
Numerics » Random Number Generation » Random Number Distributions » Poisson Distributions

`#include <random.h>`

## Classes

struct | param_type

## Public Types

typedef _RealType | result_type

## Public Member Functions

| exponential_distribution ()
| exponential_distribution (_RealType __lambda)
| exponential_distribution (const param_type &__p)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng)
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>
void | __generate (_ForwardIterator __f, _ForwardIterator __t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
template<typename _UniformRandomNumberGenerator>
void | __generate (result_type *__f, result_type *__t, _UniformRandomNumberGenerator &__urng, const param_type &__p)
_RealType | lambda () const
result_type | max () const
result_type | min () const
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng)
template<typename _UniformRandomNumberGenerator>
result_type | operator() (_UniformRandomNumberGenerator &__urng, const param_type &__p)
param_type | param () const
void | param (const param_type &__param)
void | reset ()

## Friends

bool | operator== (const exponential_distribution &__d1, const exponential_distribution &__d2)

## Detailed Description

template<typename _RealType = double>
class std::exponential_distribution< _RealType >

An exponential continuous distribution for random numbers.

The formula for the exponential probability density function is .

Distribution Statistics
Mean |
Median |
Mode |
Range |
Standard Deviation |

Definition at line 4647 of file random.h.

## Member Typedef Documentation

## result_type

template<typename _RealType = double>

typedef _RealType std::exponential_distribution< _RealType >::result_type

The type of the range of the distribution.

Definition at line 4654 of file random.h.

## Constructor & Destructor Documentation

## exponential_distribution() [1/3]

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( |  | ) |

inline

Constructs an exponential distribution with inverse scale parameter 1.0.

Definition at line 4691 of file random.h.

## exponential_distribution() [2/3]

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | _RealType | __lambda | ) |

inline explicit

Constructs an exponential distribution with inverse scale parameter .

Definition at line 4698 of file random.h.

## exponential_distribution() [3/3]

template<typename _RealType = double>

std::exponential_distribution< _RealType >::exponential_distribution | ( | const param_type & | __p | ) |

inline explicit

Definition at line 4703 of file random.h.

## Member Function Documentation

## __generate() [1/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::exponential_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng )

inline

Definition at line 4772 of file random.h.

## __generate() [2/3]

template<typename _RealType = double>
template<typename _ForwardIterator, typename _UniformRandomNumberGenerator>

void std::exponential_distribution< _RealType >::__generate | ( | _ForwardIterator | __f,
|  | _ForwardIterator | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 4779 of file random.h.

## __generate() [3/3]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

void std::exponential_distribution< _RealType >::__generate | ( | result_type * | __f,
|  | result_type * | __t,
|  | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 4786 of file random.h.

## lambda()

template<typename _RealType = double>

_RealType std::exponential_distribution< _RealType >::lambda | ( |  | ) | const

inline

Returns the inverse scale parameter of the distribution.

Definition at line 4719 of file random.h.

## max()

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::max | ( |  | ) | const

inline

Returns the least upper bound value of the distribution.

Definition at line 4748 of file random.h.

## min()

template<typename _RealType = double>

result_type std::exponential_distribution< _RealType >::min | ( |  | ) | const

inline

Returns the greatest lower bound value of the distribution.

Definition at line 4741 of file random.h.

## operator()() [1/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::exponential_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng | ) |

inline

Generating functions.

Definition at line 4756 of file random.h.

Referenced by operator()().

## operator()() [2/2]

template<typename _RealType = double>
template<typename _UniformRandomNumberGenerator>

result_type std::exponential_distribution< _RealType >::operator() | ( | _UniformRandomNumberGenerator & | __urng,
|  | const param_type & | __p )

inline

Definition at line 4761 of file random.h.

## param() [1/2]

template<typename _RealType = double>

param_type std::exponential_distribution< _RealType >::param | ( |  | ) | const

inline

Returns the parameter set of the distribution.

Definition at line 4726 of file random.h.

Referenced by std::operator>>().

## param() [2/2]

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::param | ( | const param_type & | __param | ) |

inline

Sets the parameter set of the distribution.

Parameters

  __param | The new parameter set of the distribution.

Definition at line 4734 of file random.h.

## reset()

template<typename _RealType = double>

void std::exponential_distribution< _RealType >::reset | ( |  | ) |

inline

Resets the distribution state.

Has no effect on exponential distributions.

Definition at line 4713 of file random.h.

## Friends And Related Symbol Documentation

## operator==

template<typename _RealType = double>

bool operator== | ( | const exponential_distribution< _RealType > & | __d1,
|  | const exponential_distribution< _RealType > & | __d2 )

friend

Return true if two exponential distributions have the same parameters.

Definition at line 4796 of file random.h.

The documentation for this class was generated from the following files:

- random.h
- bits/random.tcc